unit QJoinReg;

{$IFNDEF VER80}
{$IFNDEF VER90}
{$DEFINE VER_D3}
{$ENDIF}
{$ENDIF}


interface
uses Classes, SysUtils, Forms, Dialogs, kQryJoin;

procedure Register;

implementation
uses DbTables, TypInfo, DsgnIntf,
{$IFDEF VER_D3}BDEConst,{$ELSE}DBConsts,{$ENDIF} DSDesign, QJDesign;

type

 TkQueryJoinEditor = class(TComponentEditor)
 public
   procedure ExecuteVerb(Index: Integer); override;
   function GetVerb(Index: Integer): string; override;
   function GetVerbCount: Integer; override;
 end;

procedure TkQueryJoinEditor.ExecuteVerb(Index: Integer);
begin
 case Index of
  0 : ShowDatasetDesigner(Designer, TTable(Component));
  1 : begin
       if kQJDesigner = nil
       then kQJDesigner := TkQJDesigner.Create(Application);
       kQJDesigner.Designer := Designer;
       kQJDesigner.QueryJoinComp := Component as TkQueryJoin;
       kQJDesigner.Show;
       kQJDesigner.UpdateSelection;
      end;
 end;

end;

function TkQueryJoinEditor.GetVerb(Index: Integer): string;
begin
 case Index of
{$IFDEF VER_D3}
  0 : Result := SDatasetDesigner;
{$ELSE}
  0 : Result := LoadStr(SDatasetDesigner);
{$ENDIF}
  1 : Result := 'Queries editor...';
 end;
end;

function TkQueryJoinEditor.GetVerbCount: Integer;
begin
  Result := 2;
end;

procedure Register;
begin
 RegisterComponents('KLib', [TkQueryJoin]);
 RegisterNoIcon([TkJoinedQuery]);
 RegisterComponentEditor(TkQueryJoin, TkQueryJoinEditor);
 RegisterClasses([TkJoinedQuery]);
end;

end.
